//var serverUrl = 'http://192.168.1.105:851/app/api/';
//var serverUrl = 'http://58.49.57.82/app/api/';
//var serverUrl = "http://192.168.1.195:8082/app/api/";
//var serverUrl = "http://test.manager.i88mm.com/app/api/";

//var serverUrl = 'http://www.i88mm.com/V2.0.5/app/api/';
var serverUrl = 'http://www.i88mm.com/Android/app/api/';

var uid = null,
	pageSize = 10,
	reqTimeOut = 10000,
	stageName = '武汉',
	sitePY = 'wh',
	stageID = 'A000000000000100',

	//android相关配置	
	/* */
	source = 'Android',
	payOS = 'APP',
	skinPath = 'css/android/';

/*
 * ios相关配置
 
source = 'iOS',
payOS = 'ios',
skinPath = 'css/ios/';*/

//打开webview窗口
function openWindowCust(e) {
	//alert(JSON.stringify(e));
	var aniShow = e.aniShow == undefined ? 'slide-in-right' : e.aniShow;
	var duration = e.duration == undefined ? 200 : e.duration;
	var view = plus.webview.getWebviewById(e.id);
	if(view) return null; //防止重复打开webview
	view = mui.openWindow({
		id: e.id,
		url: e.url,
		createNew: true, //避重复加载
		extras: {
			params: e.params //动态参数json对象
		},
		show: {
			aniShow: aniShow, //slide-in-right,pop-in
			duration: duration
		},
		waiting: {
			autoShow: false
		}
	});
	return view;
}

/*
 * 计算远程图片宽高
 */
function calcImgWH_ex(_w, url) {
	var _h = 0;
	var img = new Image();
	img.onload = function() {
		_h = _w * img.height / img.width;
	}
	img.src = url;
	return _h;
}

function calcImgWH(_w, el_w) {
	return(parseInt(320 * _w / 720) + el_w) + 'px';
}

function isExit() {
	//清除用户相关的登录信息
	plus.storage.setItem('uid', '');
	plus.storage.setItem('phone', '');
	plus.storage.setItem('name', '');
	plus.storage.setItem('icon', '');
	plus.storage.setItem('search', '');
	plus.storage.setItem('icon_' + window.getItem('uid'), '');
	uid = plus.storage.getItem('uid'); //设置登录用户ID
	mui.fire(plus.webview.getLaunchWebview(), 'gohome');
}

function clearLoginInfo() {
	plus.storage.setItem('uid', '');
	plus.storage.setItem('phone', '');
	plus.storage.setItem('name', '');
	plus.storage.setItem('icon', '');
	plus.storage.setItem('search', '');
	plus.storage.setItem('icon_' + window.getItem('uid'), '');
	uid = plus.storage.getItem('uid');
}

/*
 * 异常处理
 * @srcType 错误来源
 * @errType 错误类型
 */
function showError(srcType, errType) {
	if(srcType == 'ajax') {
		if(errType == 'error') {
			mui.toast('网络请求异常!');
		} else if(errType == 'abort') {
			mui.toast('网络异常！');
		} else {}
	}
}
/*
 * 上拉下拉刷新重置上拉刷新分页
 *
 */
function resetUpRefresh(data, pSize, pIndex) {
	var maxCount = 1,
		_count = 0;
	if(data != null) {
		if(data.length > 0) {
			_count = parseInt(data[0].RowCount) / pSize;
			maxCount = parseFloat(_count).toFixed(2) > parseInt(_count) ? parseInt(_count) + 1 : parseInt(_count);
		}
	}
	return(maxCount < pIndex);
}

function initSetStage() {
	var defstage = plus.storage.getItem('defstage');
	if(util.isEmpty(defstage)) {
		plus.storage.setItem('defstage', '{"stageID":"A000000000000100","stageName":"武汉","servicePhone":"4001818200"}'); //设置选中平台项
	}
}

function getStageName() {
	var info = plus.storage.getItem('defstage');
	stageName = JSON.parse(info).stageName;
	return stageName;
}

function getStageID() {
	var info = plus.storage.getItem('defstage');
	stageID = JSON.parse(info).stageID;
	return stageID;
}

function getStageNamePY() {
	var info = plus.storage.getItem('defstage');
	sitePY = pinyin.getCamelChars(JSON.parse(info).stageName).toLowerCase();
	return sitePY;
}

function getServicePhone() {
	var info = plus.storage.getItem('defstage');
	return JSON.parse(info).servicePhone;
}

function setItem(key, val) {
	plus.storage.setItem(key, val);
}

//获取本地存储数据
function getItem() {
	var val = plus.storage.getItem(arguments[0]);
	if(val == null || val == "" || val == undefined) val = '';
	return val;
}

//统计PV
/// 0、APP主页
/// 1、活动主页、“个人中心（我的）”页面
/// 2、队伍列表页面、”我的活动“页面
/// 3、队伍详情页面
/// 4、投票成功页面
/// 5、宝箱列表选择宝箱页面
/// 6、自砍一刀成功页面
/// -1、分享次数：用户在 队伍详情界面、获取商品界面、我的活动界面  三个界面中 点击分享并分享成功的次数

function statPV() {
	var level = arguments[0];
	var srcUrl = arguments[1];
	mui.ajax(serverUrl + 'Activity/TracePV', {
		data: {
			Level: level,
			CurreryUrl: srcUrl
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			
		},
		error: function(xhr, type, errorThrown) {
			showError('ajax', type);
		}
	});
}

var baseClass = {
	sw: null,
	is2GOr3G: function() {
		if(!plus.networkinfo) {
			//alert("基座版本不对");
			return true;
		}
		var netinfo = plus.networkinfo,
			type = netinfo.getCurrentType();
		return type == netinfo.CONNECTION_CELL2G || type == netinfo.CONNECTION_CELL3G || type == netinfo.CONNECTION_CELL4G;
	},
	is2G: function() {
		if(!plus.networkinfo) {
			//alert("基座版本不对");
			return true;
		}
		var type = plus.networkinfo.getCurrentType();
		return type == plus.networkinfo.CONNECTION_CELL2G;
	},
	hasNetwork: function() {
		if(!plus.networkinfo) {
			//alert("基座版本不对");
			return true;
		};

		var netinfo = plus.networkinfo,
			type = netinfo.getCurrentType();
		return type == netinfo.CONNECTION_ETHERNET || type == netinfo.CONNECTION_WIFI || type == netinfo.CONNECTION_CELL2G || type == netinfo.CONNECTION_CELL3G || type == netinfo.CONNECTION_CELL4G;
	},
	isIOS: function() {
		return navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/iPad/i);
	},
	isAndroid: function(t) {
		return navigator.userAgent.match(/Android/i);
	},
	androidBack: function(callback) {
		if(this.isAndroid()) {
			plus.key.addEventListener('backbutton', callback);
		}
	},
	androidMenu: function(callback) {
		if(this.isAndroid()) {
			plus.key.addEventListener('menubutton', callback);
		}
	},
	showWaiting_Old: function(args) {
		var message = arguments[0] == undefined || arguments[0] == null || arguments[0] == '' ? '处理中，请等待' : arguments[0];
		var w = plus.nativeUI.showWaiting(message, {
			//back: 'none',
			loading: {
				//icon: "/img/waiting.png",
				display: 'inline'
			}
		});
		w.onclose = function() {
			clearInterval(t);
		}
		var n = 2.5;
		var t = setInterval(function() {
			n--;
			//w.setTitle("处理中，请等待...");
			if(n <= 0) {
				w.close();
				clearInterval(t);
			}
		}, 1000);
	},
	showWaiting: function(args) {
		var that = this;
		var message = arguments[0] == undefined || arguments[0] == null || arguments[0] == '' ? '处理中，请等待' : arguments[0];
		var modal = arguments[1] == undefined || arguments[1] == null || arguments[1] == '' ? false : arguments[1];
		if(that.sw == null) {
			that.sw = plus.nativeUI.showWaiting(message, {
				//back: 'none',
				modal: modal,
				width: '140px',
				height: '45px',
				size: '15px',
				textalign: 'center',
				color: '#ffffff',
				round: '5px',
				background: 'rgba(0,0,0,0.5)',
				loading: {
					//icon: "/img/waiting.png",
					display: 'inline'
				}
			});
		}
	},
	closeWaiting: function() {
		var that = this;
		if(that.sw != null) {
			that.sw.close();
			that.sw = null;
		}
	},
	toast: function() {
		var message = arguments[0] == undefined || arguments[0] == null || arguments[0] == '' ? '处理中，请等待' : arguments[0];
		var w = plus.nativeUI.toast(message, {
			icon: '',
			duration: 200,
			verticalAlign: 'bottom'
		});
	}
};

var util = {
	isEmpty: function(strSrc) {
		if(strSrc == null || strSrc == undefined) {
			return true;
		} else {
			if(strSrc.indexOf(' ') >= 0)
				strSrc = strSrc.replace(/^(\s|\u00A0)+/, '');
			if(strSrc == "") return true;
		}
		return false;
	},
	isNumber: function(strSrc) {
		var reg = /^\d+$/;
		if(!reg.exec(strSrc)) {
			return false;
		}
		return true
	},
	isMoney: function(strSrc) {
		//var reg = /^(([1-9]|([1-9][0-9]{0,9}))((\.[0-9]{1,2})?))|0(\.[0-9]{1,2})|0$/;
		var reg = /^\d{11}$/;
		if(!reg.test(strSrc)) {
			return false;
		}
		return true;
	},
	isPhone: function(strSrc) {
		//var reg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
		var reg = /^1\d{10}$/;
		if(!reg.exec(strSrc)) {
			return false;
		}
		return true
	},
	isEmail: function(strSrc) {
		var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
		if(!reg.exec(strSrc)) {
			return false;
		}
		return true
	},
	isIDCard: function(strSrc) {
		var reg = /^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/;
		if(!reg.test(strSrc)) {
			return false;
		}
		return true;
	},
	isBankCard: function(strSrc) {
		var reg = /^[0-9]{16,19}$/;
		if(!reg.test(strSrc)) {
			return false;
		}
		return true;
	},
	trim: function(strSrc) {
		var str = strSrc.replace(/^(\s|\u00A0)+/, '');
		for(var i = str.length - 1; i >= 0; i--) {
			if(/\S/.test(str.charAt(i))) {
				str = str.substring(0, i + 1);
				break;
			}
		}
		return str;
	},
	strLen: function(strSrc) {
		var len = 0;
		for(var i = 0; i < strSrc.length; i++) {
			var c = strSrc.charCodeAt(i);
			//单字节加1
			if((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
				len++;
			} else {
				len += 2;
			}
		}
		return len;
	},
	replace: function(strSrc, mathStr, repStr) {},
	isContains: function(strSrc, matchStr) {
		if(strSrc.indexOf(matchStr) >= 0) {
			return true;
		}
		return false;
	},
	getUrlParam: function(url, name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
		//var r = window.location.search.substr(1).match(reg);
		var r = url.substr(1).match(reg);
		if(r != null) {
			return unescape(r[2]);
		}
		return null
	}
}