(function(mui) {
	var _topDiv = null;
	if(window.plus) {
		onReady();
	} else {
		document.addEventListener('plusready', onReady);
	}

	function onReady() {
		topDiv();
	}

	function topDiv() {
		_topDiv = document.createElement('div');
		var img = document.createElement('img');
		img.src = "../img/tmp/top.png";
		img.className = 'top-div-img';
		_topDiv.className = 'top-div hide';
		_topDiv.appendChild(img);
		document.body.appendChild(_topDiv);
		
		//返回按钮tap
		_topDiv.addEventListener('tap', function(e) {
			e.stopPropagation();
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100); //滚动到顶部
		});
		
		//Android上监听原生滚动，iOS上监听div滚动，上拉超过一屏后显示按钮，否则隐藏，可自行在条件判断中修改
		if(mui.os.android) {
			window.addEventListener('scroll', function(e) {
				if(window.pageYOffset >= window.innerHeight && _topDiv.classList.contains('hide'))
					_topDiv.classList.remove('hide');
				else if(window.pageYOffset < window.innerHeight && !_topDiv.classList.contains('hide'))
					_topDiv.classList.add('hide');
			});
		} else {
			document.getElementById('pullrefresh').addEventListener('scrollend', function() {
				if(mui('#pullrefresh').pullRefresh().y <= window.innerHeight * (-1) && _topDiv.classList.contains('hide'))
					_topDiv.classList.remove('hide');
				else if(mui('#pullrefresh').pullRefresh().y > window.innerHeight * (-1) && !_topDiv.classList.contains('hide'))
					_topDiv.classList.add('hide');
			});
		}
	}

})(mui)