(function($) {
	window.app = {
		updateApp: function() {
			var osType = plus.os.name;
			var appName = '',
				that = this;
			if (osType == 'iOS' || osType == 'IOS') {
				appName = 'I';
			} else if (osType == 'Android') {
				appName = 'Aijiayanglao' + source.substring(7, 8);
			} else {

			}
			$.ajax(serverUrl + '', {
				data: {
					mycz: 'T32',
					apptype: appName
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				success: function(data) {
					if (data.ver != plus.runtime.version) {
						//（1）android可以做成apk文件下载并安装加进度条
						//（2）ios的就直接打开appstore的链接
						plus.ui.confirm(data.ver + '版本', function(e) {
							if (0 == e.index) {
								//plus.runtime.openURL(data.download);
								that.download(data.download);
							}
						}, "版本更新", ["立即更新", "以后再说"]); //["立即更新", "取　　消"]
					}
				},
				error: function(xhr, type, errorThrown) {
					showError('ajax', type);
				}
			});
		},
		download: function(file) {
			var downTask = plus.downloader.createDownload(file, {}, function(d, status) {
				if (status == 200) {
					plus.runtime.install(d.filename, {}, function() {
						plus.runtime.restart();
					}, function() {});
				} else {

				}
			});
			downTask.start();
		}
	}

})(mui);