(function(W, D) {
	var str = "",
		w = 0,
		wPer = '28%',
		spacing = '100px',
		mr = 10,
		spacingRow2 = '120px',
		spacingRow3 = '190px';
	mui.init();
	mui.plusReady(function(e) {
		initData();
	});

	function initData() {
		w = plus.screen.resolutionWidth;
		if (w == 414) {
			wPer = '33%';
			spacingRow2 = '120px';
			spacingRow3 = '190px';
			mr = 60;
		} else if (w == 320) {
			wPer = '28%';
			spacingRow2 = '96px';
			spacingRow3 = '100px';
			mr = 15;
		}
		uid = window.getItem('uid');
		var table = D.body.querySelector('.mui-table-view');
		var li = null,
			list = null;
		baseClass.showWaiting('正在加载');
		mui.ajax(serverUrl + 'Account/GetCashList', {
			data: {
				UserID: window.getItem('uid'),
				PageIndex: 1,
				PageSize: 10000
			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				//alert(JSON.stringify(data))
				baseClass.closeWaiting();
				if (!(data.Result === undefined && data.ErrorMsg === undefined)) {
					mui.toast(data.ErrorMsg);
				} else {
					table.innerHTML = "";
					list = data;
					for (i in list) {
						li = document.createElement('li');
						li.className = "mui-table-view-cell";
						str = '<div class="cash-top">'
						str += '	<span class="mui-pull-right cash-je" style="margin-top: 4px;font-weight: bold;">' + list[i].CashBala + '</span>'
						str += '	<span class="mui-pull-left">'
						str += '		<span class="cash-time">' + list[i].ApplDate + '</span>'
						str += '	<span class="cash-info" style="margin-left: 25px;">申请提现</span>'
						str += '</div>'
						str += '<div class="cash-cnt">'
						str += '	<ul class="cash-flow-desc" style="margin: 0px 0px;">'
						if (list[i].CashType == '提现到支付宝账户') {
							str += '		<li style="padding: 0px 5px;"><span style="font-weight: bold;color: #000000;">提现到：' + list[i].AliNo + '<span style="margin-left:10px"></span>支付宝账号</span></li>'
						} else if (list[i].CashType == '提现到银行账户') {
							var bankAddr = list[i].AccBank;
							if (list[i].AccBank.indexOf('-') >= 0) {
								bankAddr = list[i].AccBank.split('-')[0];
							}
							str += '		<li style="padding: 0px 5px;"><span style="font-weight: bold;color: #000000;">提现到：' + list[i].BankNum + '<span style="margin-left:10px"></span>' + bankAddr + '</span></li>'
						} else if (list[i].CashType == '提现到微信账户') {
							str += '		<li style="padding: 0px 5px;"><span style="font-weight: bold;color: #000000;">提现到：' + list[i].WechNo + '<span style="margin-left:10px"></span>微信账号</span></li>'
						}
						str += '	</ul>'
						str += '	<ul class="cash-flow" style="width: 100%;">'
						if (list[i].CashState == '已处理') {
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-y.png" /></li>'
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-y.png" /></li>'
							str += '		<li style="margin: 6px 0px;"><img src="../img/red/cash-dot-succ.png" /></li>'

						} else if (list[i].CashState == '处理失败' || list[i].CashState == '不处理') {
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-y.png" /></li>'
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-fail.png" /></li>'
							str += '		<li style="margin: 6px 0px;"><img src="../img/red/cash-dot-fail.png" /></li>'

						} else {
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-y.png" /></li>'
							str += '		<li style="margin: 4px 0px;"><img src="../img/red/cash-dot.png" /></li>'
							str += '		<li style="width: ' + wPer + ';"><img width="100%" height="1px" src="../img/red/cash-line-fail.png" /></li>'
							str += '		<li style="margin: 6px 0px;"><img src="../img/red/cash-dot-coming.png" /></li>'

						}
						str += '	</ul>'
						str += '	<ul class="cash-flow-desc" style="height:20px;margin: 0 12px;width: 100%;">'
							//str += '		<li style="padding: 0px 10px 0px 15px;"><span>申请成功</span></li>'
							//str += '		<li style="padding: 0px 25px 0px 30px;"><span>财务处理中</span></li>'
						str += '		<li style="width: 33.3%;"><span >申请成功</span></li>'
						str += '		<li style="width: 33.3%"><span >财务处理中</span></li>'

						if (list[i].CashState == '已处理') {
							str += '		<li style="width: 33.3%"><span>到账成功</span></li>'
						} else if (list[i].CashState == '处理失败' || list[i].CashState == '不处理') {
							str += '		<li style="width: 33.3%"><span style="color:#71737f">到账失败</span></li>'
						} else {
							str += '		<li style="width: 33.3%"><span style="color:#71737f">尚未到账</span></li>'
						}
						str += '	</ul>'
						str += '	<ul class="cash-flow-desc" style="height:20px;margin: 0 3px;width: 100%;">'
						str += '		<li style="padding: 0px 5px; width: 33.3%;"><span>' + list[i].ApplDate + '</span></li>'
						str += '		<li style="padding: 0px 5px;width: ' + spacingRow3 + ';width: 33.3%;"><span></span></li>'
						if (list[i].CashState == '已处理') {
							str += '		<li style="padding: 0px 5px;width: 33.3%;"><span>' + list[i].HandDate + '</span></li>'
						} else if (list[i].CashState == '处理失败' || list[i].CashState == '不处理') {
							str += '		<li style="padding: 0px 5px;width: 33.3%;"><span style="color:#71737f">' + list[i].HandDate + '</span></li>'
						} else {
							str += '		<li style="padding: 0px 5px;width: ' + spacingRow3 + ';width: 33.3%"><span></span></li>'
						}
						str += '	</ul>'
						str += '	<ul class="cash-flow-desc" style="margin: 0 2px;">'
						str += '		<li style="padding: 25px 3px;><span style="font-weight: bold;color: #000000;>备注：' + list[i].Descr + '</span></li>'
						str += '	</ul>'
						str += '</div>'
						li.innerHTML = str;
						table.appendChild(li);
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				baseClass.closeWaiting();
				showError('ajax', type);
			}
		});
	}
})(window, document);