document.addEventListener("netchange", function() {
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知";
	types[plus.networkinfo.CONNECTION_NONE] = "未连接网络";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "有线网络";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi网络";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G蜂窝网络";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G蜂窝网络";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G蜂窝网络";
	plus.nativeUI.toast("网络状态：" + types[plus.networkinfo.getCurrentType()], {
		duration: 5000
	});
	if(plus.networkinfo.getCurrentType() != '1'){
		window.app.updateApp(); //升级
	}	
//	var pages =  plus.webview.currentWebview().children();
//	for(i in pages){
//		console.log('当前页-->url:'+pages[i].url+'id:'+pages[i].id);
//	}
	
}, false);


/*
 * 性能优化：在有网的情况下缓存数据，没有网络情况下，读取缓存的本地数据
 * 提高性能和增强客户端体验
 * 
 */